import service from "./index";
const apiMediate = '/mediate/'

const traceApi = {
    
    //========================start::事项追踪 ======================================
    // 短信追踪记录
    posttrace_sms: data => {
        return service.service.post(`${apiMediate}workbench/trace-sms`, data)
    },
    // 短信追踪明细
    posttrace_sms_detail: data => {
        return service.service.post(`${apiMediate}workbench/trace-sms-detail`, data, {hideLoading:true})
    },

    // 视频预约追踪记录
    posttrace_video: data => {
        return service.service.post(`${apiMediate}workbench/trace-video`, data)
    },
    // 还款凭证追踪记录
    posttrace_proof: data => {
        return service.service.post(`${apiMediate}workbench/trace-proof`, data)
    },
    // 签字追踪记录
    posttrace_sign: data => {
        return service.service.post(`${apiMediate}workbench/trace-sign`, data)
    },
    // 签字追踪明细
    posttrace_sign_detail: data => {
        return service.service.post(`${apiMediate}workbench/trace-sign-detail`, data, {hideLoading:true})
    },
    // 签字追踪-批量重试
    posttrace_sign_retry: data => {
        return service.service.post(`${apiMediate}api/trace/traceSign/batch-retry`, data)
    },
    // 签字追踪-批量取消
    posttrace_sign_cancel: data => {
        return service.service.post(`${apiMediate}api/trace/traceSign/batch-cancel`, data)
    },
    // 盖章追踪记录
    posttrace_seal: data => {
        return service.service.post(`${apiMediate}workbench/trace-seal`, data)
    },
    // 文书生成追踪记录
    posttrace_generate: data => {
        return service.service.post(`${apiMediate}workbench/trace-generate`, data)
    },
    // 文书生成追踪明细
    posttrace_generate_detail: data => {
        return service.service.post(`${apiMediate}workbench/trace-generate-detail`, data)
    },
    // 文书生成-批量重试
    posttrace_generate_retryl: data => {
        return service.service.post(`${apiMediate}api/trace/traceGenerate/batch-retry`, data)
    },
    // 文书生成-批量取消
    posttrace_generate_cancel: data => {
        return service.service.post(`${apiMediate}api/trace/traceGenerate/batch-cancel`, data)
    },



    // 送达追踪记录
    posttrace_served: data => {
        return service.service.post(`${apiMediate}workbench/trace-served`, data)
    },
    // 送达追踪明细
    posttrace_served_detail: data => {
        return service.service.post(`${apiMediate}workbench/trace-served-detail`, data)
    },
    // 送达追踪重试
    posttrace_served_retry: data => {
        return service.service.post(`${apiMediate}api/trace/traceServed/retry`, data)
    },
    // 送达追踪取消
    posttrace_served_cancel: data => {
        return service.service.post(`${apiMediate}api/trace/traceServed/cancel`, data)
    },

    // 外呼追踪记录
    posttrace_calling: data => {
        return service.service.post(`${apiMediate}workbench/trace-calling`, data)
    },
    // 呼叫-取消批量智能外呼
    calling_cancel: data => {
        return service.service.post(`${apiMediate}api/trace/calling/cancel`, data)
    },


    
    
    //========================end::事项追踪======================================
     
}
export default traceApi;
